Bug 519500 - Busybox is not building on S390
Summary: Busybox is not building on S390
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: busybox
Version: 6.0
Hardware: s390
OS: Linux
high
high
Target Milestone: alpha
: ---
Assignee: Denys Vlasenko
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-26 21:08 UTC by Denise Dumas
Modified: 2010-07-02 18:54 UTC (History)
6 users (show)

Fixed In Version: busybox-1.14.1-6.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-02 18:54:17 UTC
Target Upstream Version:


Attachments (Terms of Use)
Proposed fix (relative to RHEL 6 cvs) (2.17 KB, patch)
2009-08-27 16:18 UTC, Denys Vlasenko
no flags Details | Diff

Description Denise Dumas 2009-08-26 21:08:25 UTC
Description of problem:

busybox seems to assume that s390x is an alpha processor, at least that's what
I think without without spending more than a few seconds looking at the log:
  https://brewweb.devel.redhat.com/getfile?taskID=1943628&name=build.log


Talk with Karsten Hopp for details - #fedora-S390x 
This is a blocker for RHEL6 Alpha 2

Comment 1 Bill Nottingham 2009-08-27 13:12:50 UTC
Simplest answer appears to be to not use uclibc on s390.

Comment 2 Denys Vlasenko 2009-08-27 16:18:45 UTC
Created attachment 358904 [details]
Proposed fix (relative to RHEL 6 cvs)

Test build is at

https://brewweb.devel.redhat.com/taskinfo?taskID=1946586

Comment 3 Denys Vlasenko 2009-08-31 08:26:25 UTC
I'd apply this patch to RHEL6 cvs, but I'm getting this:

# cvs commit
cvs commit: Examining .

**** Access denied: dvlasenk is not in ACL for rpms/busybox/RHEL-6
cvs commit: Pre-commit check failed
cvs [commit aborted]: correct above errors first!
cvs commit: saving log message in /tmp/cvsYq3FfJ


Whom should I need to talk to in order to get write access to cvs?

Comment 7 Denys Vlasenko 2009-09-11 07:30:27 UTC
Updated Rawhide cvs. Here is the (non-scratch) build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1669949

The same sources and .spec are building successfully as RHEL6 scratch build.
Here is it:

https://brewweb.devel.redhat.com/taskinfo?taskID=1981273

If I understand correctly, RHEL6 branch is not open for commits yet.
If I need to do anything more to make RHEL6 build error go away, please let me know.

Comment 9 releng-rhel@redhat.com 2009-10-28 15:50:51 UTC
Fixed in 'busybox-1.14.1-6.el6', included in compose 'RHEL6.0-20091027.3'.
Moving to ON_QA.

Comment 11 releng-rhel@redhat.com 2010-07-02 18:54:17 UTC
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.